<?php
require('functions.php');
if(isset($_POST['submit'])){
	require('clases/cliente.class.php');

	$cedula_per = htmlspecialchars(trim($_POST['cedula_per']));
	$cedula_asp = htmlspecialchars(trim($_POST['cedula_asp']));
	$apellidos = htmlspecialchars(trim($_POST['apellidos']));
	$nombres_per = htmlspecialchars(trim($_POST['nombres_per']));
	$lugarNac_per = htmlspecialchars(trim($_POST['lugarNac_per']));
	$fecha_nacimiento = htmlspecialchars(trim($_POST['fecha_nacimiento']));
    $genero_per = htmlspecialchars(trim($_POST['genero_per']));
	//$usuario_per = htmlspecialchars(trim($_POST['usuario_per']));
	$contrasena_per =  htmlspecialchars(trim($_POST['contrasena_per']));
	$tipo_usu = htmlspecialchars(trim($_POST['tipo_usu']));
	
	$grado_va = htmlspecialchars(trim($_POST['grado_va']));
	$institucion_viene = htmlspecialchars(trim($_POST['institucion_viene']));
	

	$objCliente=new Cliente;
	if ($objCliente->insertar(array($cedula_per,$apellidos,$nombres_per,$lugarNac_per,$fecha_nacimiento,$genero_per)) == true and $objCliente->insertar_usuario(array($cedula_per,$contrasena_per,$tipo_usu)) == true  and $objCliente->insertarcedaspirante(array($cedula_asp,$grado_va,$institucion_viene)) == true){
		echo 'Datos guardados';
	}else{
		echo 'Se produjo un error. Intente nuevamente';
	} 
}else{
//echo "<head><link href='css/estilo.css' rel='stylesheet' type='text/css' /></head>";
?>
<script type='text/javascript' src="letras.js"></script> 
<script language="JavaScript">
function check_cedula( form )
{
 var cedula = form.cedula_per.value;
 array = cedula.split( "" );
 num = array.length;
 if ( num == 10 )
 {
 total = 0;
 digito = (array[9]*1);
 for( i=0; i < (num-1); i++ )
 {
   mult = 0;
   if ( ( i%2 ) != 0 ) 
       { total = total + ( array[i] * 1 ); 
       }
  else 
       { mult = array[i] * 2;
        if ( mult > 9 )
            total = total + ( mult - 9 ); 
        else 
            total = total + mult; 
        }
}
    decena=total/10;
    decena=Math.floor(decena);
    decena = ( decena + 1 ) * 10;
    final = ( decena - total );
    if ( ( final == 10 && digito == 0 ) || ( final == digito ) ) 
           { //alert( "La cedula es correcta" ); return true; 
           }
    else 
           { alert( "El numero de cedula es incorrecto. Verifique "); 
		     form.cedula_per.value = "";
			 frmClienteNuevo.cedula_per.focus();
             return false; 
           } 
 }
 else 
 { alert("La cedula no pue detener menos de 10 digitos y tampoco mas de 10 digitos"); 
 form.cedula_per.value = "";
 frmClienteNuevo.cedula_per.focus();
 return false; 
 } 
}
</script>
</p>
<form id="frmClienteNuevo" name="frmClienteNuevo" method="post" action="nuevo.php" onsubmit="GrabarDatos(); return false">
   <p>
    <label><span class="obl">*</span>Cedula o Pasaporte del Representante:<br />
  <input type="text" name="cedula_per" id="cedula_per" title="INGRESE EL NÚMERO DE CÉDULA" class="inputxt2" required="required"/>  
  </label>
  </p>
   <p>Cedula o Pasaporte del Aspirante:</p>
   <p>
     <label for="cedula_asp"></label>
     <input type="text" name="cedula_asp" id="cedula_asp" class="inputxt2" />
   </p>
   <p>Institucion de la que viene</p>
   <p>
    <input type="text" name="institucion_viene" class="inputxt2" id="institucion_viene" list="institucion" placeholder="HAGA DOBLE CLICK">
          <datalist id="institucion">
          <?php 
			       include 'config/conexion_combo.php';
			       conectar();  
				   $consulta = "select  NOMBRE_COL from colegios order by NOMBRE_COL asc";
								$resultado = mysql_query($consulta);
								if($fila=mysql_fetch_array($resultado)){
									do{
										 echo "<option value='".$fila[0]."'>".utf8_encode($fila[0])."</option>";
									}while($fila = mysql_fetch_array($resultado));
								}
								
							?>
        </datalist>
  </p>
   <p>Grado Curso:</p>
   <p>
    
     
       <label for="grado_va"></label>
          <input type="text" name="grado_va" id="grado_va" list="grado" class="inputxt" placeholder="haga doble click " required/>
    <datalist id="grado">
        <option value="INICIAL 3 AÑOS">
        <option value="INICIAL 4 AÑOS ">
        <option value="PRIMER GRADO ">
         <option value="SEGUNDO GRADO ">
           <option value="TERCER GRADO ">
             <option value="CUARTO GRADO ">
               <option value="QUINTO GRADO ">
                 <option value="SEXTO GRADO ">
                   <option value="SÉPTIMO GRADO ">
                     <option value="OCTAVO GRADO ">
                       <option value="NOVENO GRADO ">
                         <option value="PRIMERO DE BACHILLERATO">
                           <option value="SEGUNDO DE BACHILLERATO ">
        
           </datalist>
   </p>
  <p>
    <label><span class="obl">*</span>Apellidos:<br />
    </label>
    <label for="apellidos"></label>
    <input type="text" name="apellidos" id="apellidos" title="INGRESE LOS DOS APELLIDOS" class="inputxt2" placeholder="" required/>
  </p>
  <p><span class="obl">*</span>Nombres:</p>
  <p>
    <input type="text" name="nombres_per" id="nombres_per" title="INGRESE LOS DOS NOMBRES" class="inputxt2" placeholder="" required/>
  </p>
  <p>
    <label><span class="obl">*</span>Lugar de Nacimiento:<br />
    <input name="lugarNac_per" id="lugarNac_per" class="inputxt2" title="INGRESE EL LUGAR DE NACIMIENTO" placeholder="" required/>
    </label>
    <p><input type="hidden" name="genero_per" id="genero_per" value="1" />
    <input type="hidden" name="tipo_usu" id="tipo_usu" value="4" />
    
  </p>
  <p>
    <p>
      <label><span class="obl">*</span>Fecha de Nacimiento: <a onclick="show_calendar()" style="cursor: pointer;">
      <span class="msjc">(Abrir Calendario)</span>
      </a><br />
        <input readonly="readonly" title="INGRESE LA FECHA DE NACIMIENTO" class="inputxt2" type="text" name="fecha_nacimiento" id="fecha_nacimiento" value="<?php echo date("Y-m-j")?>" />
        <div id="calendario" style="display:none;"><?php calendar_html() ?></div>
      </label>
      </p>
    </p>
    <p>
      <label for="usuario_per"></label>
    </p>
    <p>
      <label><span class="obl">*</span>Contraseña:<br />
      </label>
      <label for="contrasena_per"></label>
      <input type="text" name="contrasena_per" id="contrasena_per" class="inputxt2" placeholder="" required/>
      <label> </label>
    </p>
    <p>&nbsp;</p>
  <p>
    <input type="submit" name="submit" id="button" value="Guardar" class="btnform"/>
    <label></label>
    <input type="button" class="btnform" name="cancelar" id="cancelar" value="Cancelar" onclick="Cancelar()" />
    <label class="msjobl">Los campos marcados con <span class="obl">*</span> son obligatorios</label>
  </p>
</form>
<?php
}

?>

